### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xmpmc_sinit.c File Reference

## Detailed Description

This file contains the implementation of the XMpmc driver's static initialization functionality.

Note:
  None.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a mta  02/28/07 First release

## Functions
XMpmc_Config * | XMpmc_LookupConfig (u16 DeviceId)
## Variables
XMpmc_Config | XMpmc_ConfigTable []

## Function Documentation

XMpmc_Config* XMpmc_LookupConfig | ( | u16 | DeviceId | ) |

  | Looks up the device configuration based on the unique device ID. A table contains the configuration info for each device in the system. Parameters:
  | DeviceId | contains the ID of the device for which the device configuration pointer is to be returned.
Returns: A pointer to the configuration found. NULL if the specified device ID was not found. Note: None.

## Variable Documentation

XMpmc_Config XMpmc_ConfigTable[]

| This table contains configuration information for each MPMC device in the system.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.